Bug 1146898 - yast2-adcommon-python: AD modules should connect to an AD-DC via the SamDB interface, instead of python-ldap
yast2-adcommon-python: AD modules should connect to an AD-DC via the SamDB in...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Enhancement (vote)
: ---
Assigned To: David Mulder
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-22 15:58 UTC by David Mulder
Modified: 2021-03-19 08:19 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Mulder 2019-08-22 15:58:58 UTC
Currently the yast samba modules are connecting to an AD-DC via python-ldap, but this could be much improved by connecting via samba's SamDB interface.
Comment 2 David Mulder 2020-04-24 13:40:41 UTC
Done a while ago.
Comment 5 OBSbugzilla Bot 2020-10-05 11:50:12 UTC
This is an autogenerated message for OBS integration:
This bug (1146898) was mentioned in
https://build.opensuse.org/request/show/839549 15.2 / yast2-gpmc
Comment 7 Swamp Workflow Management 2020-10-12 13:20:17 UTC
openSUSE-RU-2020:1661-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1084864,1146898,1150614,1150616,1151733,1151738,1152357
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    yast2-gpmc-1.5.0-lp152.3.3.1
Comment 9 Swamp Workflow Management 2021-03-19 08:19:30 UTC
SUSE-RU-2021:0881-1: An update that has 15 recommended fixes and contains two features can now be installed.

Category: recommended (moderate)
Bug References: 1084864,1132565,1133568,1135130,1135224,1138203,1138487,1145508,1146898,1150394,1150612,1151713,1152052,1154121,1170998
CVE References: 
JIRA References: ECO-2527,SLE-5527
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    yast2-adcommon-python-1.6-3.3.10, yast2-aduc-2.2-3.3.11
SUSE Linux Enterprise Module for Python2 15-SP2 (src):    samba-4.11.14+git.202.344b137b75d-4.16.2
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    samba-4.11.14+git.202.344b137b75d-4.16.2
SUSE Linux Enterprise High Availability 15-SP2 (src):    samba-4.11.14+git.202.344b137b75d-4.16.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.